///////////////////////////////////////////////////////////////////////////////////////////////
// ftps: Tool generating documentation.
// Copyright (C) 2023-2023 the original author or authors.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2
// of the License only.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
///////////////////////////////////////////////////////////////////////////////////////////////
package org.nanoboot.ftps;

import java.util.List;
import java.util.stream.Stream;
import lombok.Getter;

/**
 *
 * @author pc00289
 */
public class FtpsArgs {

    @Getter
    private final String command;
    @Getter
    private final List<String> args;

    public FtpsArgs(String[] args) {
        if (args.length < 1) {
            args = new String[]{"help"};
        }
        this.command = args[0];
        this.args = Stream.of(args).skip(1).toList();
    }
}
